Subject: Re: bug#22982: 25.0.92; Forms Mode seems to fail to open data file

From: [email-masked] (N. Jackson)
Date: Fri, 11 Mar 2016 12:11:20 -0400

At 17:02 +0200 on Friday 2016-03-11, Eli Zaretskii wrote:
>
> Hmm... I'm still not following.  Can you tell how to modify your
> recipe such that it will reproduce the problem in "emacs -Q"?
>
> Thanks.

0.  cat > ~/test-forms-control-file.el
    (setq forms-file "/etc/passwd")
    (setq forms-number-of-fields 7)
    (setq forms-read-only t)
    (setq forms-field-sep ":")
    (setq forms-multi-line nil)
    (setq forms-format-list
          (list
           "====== /etc/passwd ======\n\n"
           "User : "    1
           "   Uid: "   3
           "   Gid: "   4
           "\n\n"
           "Name : "    5
           "\n\n"
           "Home : "    6
           "\n\n"
           "Shell: "    7
           "\n"))
    ^D

1.  emacs -Q

2.  M-: (custom-set-variables '(major-mode (quote text-mode))) RET

3.  M-x forms-find-file RET C-S-backspace ~/test-forms-control-file.el RET

This recipe results in the error

    find-file-noselect: Wrong type argument: stringp, nil

whereas, if Step 2 is omitted, Forms Mode works correctly.

I hope this helps. Please let me know if I can provide any more
information.

Regards,
N.